/* container */
.container {
    margin: auto;
    padding: 0 0.5rem;
}
/* center */
.center {
    text-align: center;
}

/* litir */
:root {	
    
    /* Light theme */
	--dokk-blar: rgb(24, 4, 106);
	--ljos-blar: rgb(35, 101, 233);
	--fjolublar: rgb(184, 37, 225);
	--saegraenn: rgb(17, 197, 237);
	--graenn: rgb(63, 207, 138);


	/* Dark theme */
	--dokk-blar-d: rgb(18, 22, 83);
	--ljos-blar-d: rgb(38, 31, 172);
	--fjolublar-d: rgb(83, 14, 102);
	--saegraenn-d: rgb(26, 112, 115);
	--graenn-d: rgb(35, 129, 83);

}

@media (prefers-color-scheme: dark) {
	:root {
		--dokk-blar: var(--dokk-blar-d);
		--ljos-blar: var(--ljos-blar-d);
		--fjolublar: var(--fjolublar-d);
		--saegraenn: var(--saegraenn-d);
		--graenn: var(--graenn-d)
	}
}
/* header */
header h1 {
    font-weight: 300;
    text-align: center;
}


/* icomoon */
@font-face {
	font-family: 'icomoon';
	src:  url('fonts/icomoon.eot?vfjf4q');
	src:  url('fonts/icomoon.eot?vfjf4q#iefix') format('embedded-opentype'),
	  url('fonts/icomoon.ttf?vfjf4q') format('truetype'),
	  url('fonts/icomoon.woff?vfjf4q') format('woff'),
	  url('fonts/icomoon.svg?vfjf4q#icomoon') format('svg');
	font-weight: normal;
	font-style: normal;
	font-display: block;
  }
  
  [class^="icon-"], [class*=" icon-"] {
	/* use !important to prevent issues with browser extensions that change fonts */
	font-family: 'icomoon' !important;
	/* speak: never; */
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
  
	/* Better Font Rendering =========== */
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
  }
  
  .icon-tiktok:before {
	content: "\e901";
  }
  .icon-Vatnsstidlogo:before {
	content: "\e900";
  }
  .icon-music:before {
	content: "\e911";
  }
  .icon-coin-dollar:before {
	content: "\e93b";
  }
  .icon-location2:before {
	content: "\e948";
  }
  .icon-bubbles4:before {
	content: "\e970";
  }
  .icon-user:before {
	content: "\e971";
  }
  .icon-users:before {
	content: "\e972";
  }
  .icon-mail4:before {
	content: "\ea86";
  }
  .icon-facebook2:before {
	content: "\ea91";
  }
  .icon-instagram:before {
	content: "\ea92";
}
.logo {
	width: 100px;
    font-size: 8rem;
    text-align: center;
    color: var(--ljos-blar);
}

/* efnisyfirlit */

#toggle {
    display: none;
}

.topnav {
    margin: 0;
}

.topmenu {
    display: flex;
    flex-flow: column;
    margin: 0;
    width: 90%; /* ATH! */
    top: 3.5rem;
    right: -80rem;
    position: fixed;
    z-index: 99;
    background-color: var(--graenn);
    transition: all 2s ease;
}

.topmenu a {
    display: block;
    text-align: center;
    text-decoration: none;
    padding: 0.5rem 1rem;
    color: var(--nc-tx-2);
    border-bottom: 1px solid var(--ljos-blar);
}
 .topnav label {
    position: fixed ;  
    top: 0.5rem;
    right: 1rem;
    padding: 0.3rem;
    font-size: 1.5rem;
    border: 1px solid var(--saegraenn);
    border-radius: 0.2rem;
    z-index: 999;
 }
 .topnav label{
    background-color: var(--fjolublar-d);
 }

.socialbutts {
    display: flex;
    flex-flow: row;
    justify-content: space-around;
}
.socialbutts a {
    padding: 0.5rem 1rem;
}

#toggle:checked ~ .topmenu {
    right: 1.2rem;
    transition: all 0.5s ease;
}

@media screen and (min-width:60rem) {
    .topmenu {
        position: fixed; /* ATH! */
        width: 100%;
        flex-flow: row;
        justify-content: flex-end;
        top: 0;
        right: 0;
        transition: none;
        
    }
    .topmenu a {
        border: 0;
    }
    .topnav {
        background-color: var(--graenn);
    }
    .topnav label {
        display: none;
    }
    
}

.endir {
  background-color: var(--ljos-blar);
  margin-top: 0;
  padding: 2rem;
} 

/* chatbox */

#togglechat {
    display: none;
}

.chatbox {
    position: fixed;
    background-color: var(--fjolublar);
    right: 1rem;
    bottom: -40rem;
    transition: all 0.3s ease;
    width:90%;
    max-width: 28rem;
}

.chat {
    position: fixed ;
    bottom: 1rem;
    right: 1rem;
    padding: .3rem .4rem;
    font-size: 1.6rem;
    border: 1px solid var(--dokk-blar);
    border-radius: 50%;
    background-color: var(--saegraenn);
    z-index: 10;
}

#togglechat:checked ~ .chatbox {
    bottom:2rem;
    transition: all 0.5s ease;
    transition-timing-function: cubic-bezier(.51, -0.01, .37, 1.72);
}

input[type="text"],
input[type="email"],
textarea {
    width: 100%;
}

/* slideshow */
#slideset6 {
	height: 17rem;
	position: relative;
  }
  
  #slideset6 > * {
	animation: 22s autoplay6 infinite linear;
	position: absolute; 
	top: 0; 
	left: 0; 
	opacity: 0.0;
  }
  
	@keyframes autoplay6 {
	  0% {opacity: 0.0}
	  4% {opacity: 1.0}
	  25% {opacity: 1.0}
	  30% {opacity: 0.0}
	  100% {opacity: 0.0}
	}
  
  #slideset6 > *:nth-child(1) {animation-delay: 0s}
  #slideset6 > *:nth-child(2) {animation-delay: 5s}
  #slideset6 > *:nth-child(3) {animation-delay: 10s}
  #slideset6 > *:nth-child(4) {animation-delay: 15s}
  
  
  
  @media screen and (min-width:48rem) {
	#slideset6 {
	  height: 22rem;
	}
  }
  
  @media screen and (min-width:60rem) {
	#slideset6 {
	  height: 24rem;
	}
  }
  
  @media screen and (min-width:80rem) {
	#slideset6 {
	  height: 28rem;
	}
  }

/* col */

.col-2 {
    display: grid;
    grid-template-columns: 1fr;
}
.col-3 {
  display: grid;
  grid-template-columns: 1fr;
}

.rammi div {
    border: 1px dashed var(--nc-tx-1);
    padding: 1rem;
    margin: 0.5rem 0;
}

@media screen and (min-width:48rem){
    .container {
        padding: 0 1rem;
    }
    .col-2 {
        grid-template-columns: 1fr 1fr;
        gap: 1rem;
    }
   
}
@media screen and (min-width:60rem){
    .col-2 {
        gap: 3rem;
    }
   
    
}
@media screen and (min-width:80rem){
    .container {
        max-width: 80rem;
        margin: auto;
    }
}

/* bg */
.bannerBg {
    background-color: var(--saegraenn);
}
.headerBG {
	background-color: var(--fjolublar);
	padding-top: 2rem;
}
.hvarBG {
  background-color: var(--graenn);
  margin-top: 0;
}
.vorurBG {
  background-image: linear-gradient(to bottom, var(--saegraenn), var(--saegraenn-d)); 
}

.umBG {
  background-image: linear-gradient(to bottom, var(--ljos-blar), var(--dokk-blar)); 
}

/* font */
header h1 {
	font-family: "Merriweather", serif;
	font-weight: 400;
	font-style: normal;
}
p {
  font-family: "Montserrat", serif;
	font-weight: 300;
	font-style: normal;
}

/* harmoniku listi */

details {
  padding: .6rem 1rem;
  background: var(--ljos-blar);
  border: 1px solid var(--dokk-blar);
  border-radius: 4px;
	margin-top: 1rem;
}
body {
	font-size: 1.3rem;
  margin: 0;
}
.harmonikulisti {
  margin-top: 1rem;
}
/* innskráning */


.overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.7);
    transition: opacity 500ms;
    visibility: hidden;
    opacity: 0;
}
.overlay:target {
    visibility: visible;
    opacity: 1;
    z-index: 20;
}
  
.popup {
    margin: 2rem;
    padding: 1rem;
    background: var(--graenn);
    border-radius: 5px;
    max-width: 37.5rem;
    position: relative;
    /* transition: all 5s ease-in-out; */
}

.popup .close {
    position: absolute;
    top: 20px;
    right: 30px;
    transition: all 200ms;
    font-size: 30px;
    font-weight: bold;
    text-decoration: none;
    color:var(--dokk-blar);
}
.popup .close:hover {
    color: var(--saegraenn);
}
  
@media screen and (min-width: 37.5rem){
    .popup{
      
      margin: 2rem auto;
    }
}

/* Tafla */


table {
	/* border-collapse sets the table's elements to share borders, rather than floating as separate "boxes". */
	border-collapse: collapse;
	width: 70%;
  margin: auto;
}

td,
th {
	border: 1px solid var(--dokk-blar);
	text-align: left;
	padding: .5rem;
}

th {
	background: var(--fjolublar);
}

tfoot th {
  min-width: 100%;
  text-align: center;
}

tr:nth-child(even) {
	/* Set every other cell slightly darker. Improves readability. */
	background: var(--fjolublar);
}

table caption {
	font-weight: bold;
	margin: 1rem 0 .5rem 0;
}

textarea {
	/* Don't let the <textarea> extend off the screen naturally or when dragged by the user */
	max-width: 100%;
}
/* 
@media screen and (max-width: 600px) {
    table thead {
      border: none;
      clip: rect(0 0 0 0);
      height: 1px;
      margin: -1px;
      overflow: hidden;
      padding: 0;
      position: absolute;
      width: 1px;
    }
    table tr {
      /* border-bottom: 3px solid #ddd;
    
      display: block; 
    }
    tfoot td {
      width: 100%;
    }
    
    table td {
      /* border-bottom: 1px solid #ddd; 
      display: block;
      text-align: right;
    }
    
    table td::before {
      content: attr(data-label);
      font-weight: 600;
    }
  }
  */
/* kort */



.kort {
  height: 17rem ;
  width: 21rem;
  justify-content: center;
  margin-left: 5rem;
  padding-bottom: 0.5rem;
}

/* .hvaroghvenær {
  margin: 2.3rem;
} */

/* Pöntunarform */

.pöntunarform {
  border: 2px solid var(--dokk-blar);
  background-image: linear-gradient(to bottom, var(--ljos-blar), var(--ljos-blar-d)); 
  padding: 1rem;
  border-radius: .5rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 40%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: .5rem;
}
.titill {
  margin: auto;
  width: 13%;
}
.takki {
  width: 10%;
  margin-top: 1rem;
}

.minka {
  width: 15%;
}

/* animations */

@keyframes tada {
  from {
    transform: scale3d(1, 1, 1);
  }

  10%,
  20% {
    transform: scale3d(0.9, 0.9, 0.9) rotate3d(0, 0, 1, -3deg);
  }

  30%,
  50%,
  70%,
  90% {
    transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
  }

  40%,
  60%,
  80% {
    transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
  }

  to {
    transform: scale3d(1, 1, 1);
  }
}
.animate__tada {
  animation-name: tada;
  animation-duration: 1s;
  animation-iteration-count: 1;
}

@keyframes zoomInDown {
  from {
    opacity: 0;
    transform: scale3d(0.1, 0.1, 0.1) translate3d(0, -1000px, 0);
    animation-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
  }

  60% {
    opacity: 1;
    transform: scale3d(0.475, 0.475, 0.475) translate3d(0, 60px, 0);
    animation-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1);
  }
}
.animate__zoomInDown {
  animation-name: zoomInDown;
  animation-duration: 2s;
  animation-iteration-count: 1;
}

@keyframes lightSpeedInRight {
  from {
    transform: translate3d(100%, 0, 0) skewX(-30deg);
    opacity: 0;
  }

  60% {
    transform: skewX(20deg);
    opacity: 1;
  }

  80% {
    transform: skewX(-5deg);
  }

  to {
    transform: translate3d(0, 0, 0);
  }
}
.animate__lightSpeedInRight {
  animation-name: lightSpeedInRight;
  animation-timing-function: ease-out;
  animation-duration: 1s;
  animation-iteration-count: 1;
}

/* Tilkynningar/Tilboð */

#slideset3 {
  height: 7rem;
  position: relative;
  overflow: hidden;
}
#slideset3 > * {
  height: 100%; 
  box-sizing: border-box;
  overflow: hidden;
}

#slideset3 > *:first-child {
  animation: 16s autoplay3 infinite ease;
}

@keyframes autoplay3 {
  0% {margin-top: 8rem}
  5% {margin-top: 8rem}
  22% {margin-top: 0rem}
  34% {margin-top: 0rem}
  49% {margin-top: -8rem}
  62% {margin-top: -8rem}
  85% {margin-top: -17rem}
  100% {margin-top: -17rem}

}

.tilkynning {
  text-align: center;
  background-color: var(--fjolublar);
}

/* logo I um okkur */

.staerralogo {
  font-size: 20rem;
  margin-left: 10rem;
}
.um {
  padding-top: 2rem ;
}

.Tlogo {
  font-size: 15rem;
  margin-bottom: 1rem
}





/* stærðir */

@media screen and (min-width:20rem) {
  #slideset6 {
    height: 16rem;
  }
  .slideshow img {
    width: 85%;
    height: 75%;
    margin-left: 1.8rem;
  }
  .kort {
    height: 12rem ;
    width: 17rem;
    justify-content: center;
    margin-left: 1.7rem;
    padding-bottom: 0.5rem;
  }
  table {
    margin: 3rem;
  }
  .vatnsbyssur img {
    width: 80%;
    height: 60%;
    margin-left: 1rem;
  }
  .vatnsbyssur {
    padding-bottom: 3rem;
  }
  #slideset3 {
    height: 9rem;
  }
  @keyframes autoplay3 {
    0% {margin-top: 7rem}
    5% {margin-top: 7rem}
    22% {margin-top: -1rem}
    34% {margin-top: -1rem}
    49% {margin-top: -9rem}
    62% {margin-top: -9rem}
    85% {margin-top: -18rem}
    100% {margin-top: -18rem}
  
  }
  .staerralogo {
    font-size: 20rem;
    margin-left: 1rem;
  }
}



@media screen and (min-width:48rem) {
  #slideset6 {
    margin-top: 1.2rem;
    height: 16rem;
  }
  .slideshow img {
    width: 90%;
    height: 80%;
  }
  .kort {
    height: 14rem ;
    width: 19rem;
    justify-content: center;
    margin-left: 2rem;
    padding-bottom: 0.5rem;
  }
  table {
    margin: 2rem 6rem;
  }
  .vatnsbyssur {
    padding-bottom: 3rem;
    margin: auto;
  }
  .vatnsbyssur img {
    width: 85%;
    height: 60%;
  }
  @keyframes autoplay3 {
    0% {margin-top: 8rem}
    5% {margin-top: 8rem}
    22% {margin-top: 0rem}
    34% {margin-top: 0rem}
    49% {margin-top: -8rem}
    62% {margin-top: -8rem}
    85% {margin-top: -17rem}
    100% {margin-top: -17rem}
  
  }
  .staerralogo {
    font-size: 20rem;
    margin-left: 3rem;
  }
  .col-3 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  }
}

@media screen and (min-width:60rem) {
  #slideset6 {
    height: 21rem;
    margin-top: 0;
  }
  .kort {
    height: 17rem ;
    width: 21rem;
    justify-content: center;
    margin-left: 5rem;
    padding-bottom: 0.5rem;
  }
  table {
    margin: auto;
  }
  .vatnsbyssur {
    padding-bottom: 1.5rem;
  }
  .vatnsbyssur img {
    width: 90%;
    height: 70%;
  }
  .staerralogo {
    font-size: 20rem;
    margin-left: 10rem;
  }
}

@media screen and (min-width:80rem) {
  #slideset6 {
    height: 25rem;
  }
  .kort {
    height: 21rem ;
    width: 25rem;
    justify-content: center;
    margin-left: 5rem;
    padding-bottom: 0.5rem;
  }
}